Updates an existing Amazon Lightsail content delivery network (CDN) distribution.
Use this action to update the configuration of your existing distribution.
See also: AWS API Documentation
update-distribution
--distribution-name <value>
[--origin <value>]
[--default-cache-behavior <value>]
[--cache-behavior-settings <value>]
[--cache-behaviors <value>]
[--is-enabled | --no-is-enabled]
[--viewer-minimum-tls-protocol-version <value>]
[--certificate-name <value>]
[--use-default-certificate | --no-use-default-certificate]
[--enable-private-origin-access | --no-enable-private-origin-access]
[--default-root-object <value>]
[--custom-error-responses <value>]
[--enable-waf | --no-enable-waf]
[--waf-rules <value>]
[--cli-input-json | --cli-input-yaml]
[--generate-cli-skeleton <value>]
[--debug]
[--endpoint-url <value>]
[--no-verify-ssl]
[--no-paginate]
[--output <value>]
[--query <value>]
[--profile <value>]
[--region <value>]
[--version <value>]
[--color <value>]
[--no-sign-request]
[--ca-bundle <value>]
[--cli-read-timeout <value>]
[--cli-connect-timeout <value>]
[--cli-binary-format <value>]
[--no-cli-pager]
[--cli-auto-prompt]
[--no-cli-auto-prompt]
[--cli-error-format <value>]
[--help]
--distribution-name (string) [required]
The name of the distribution to update.
Use the
GetDistributionsaction to get a list of distribution names that you can specify.Constraints:
- pattern:
\w[\w\-]*\w
--origin (structure)
An object that describes the origin resource for the distribution, such as a Lightsail instance, bucket, or load balancer.
The distribution pulls, caches, and serves content from the origin.
name -> (string)
The name of the origin resource.
Constraints:
- pattern:
\w[\w\-]*\wregionName -> (string)
The AWS Region name of the origin resource.
Possible values:
us-east-1us-east-2us-west-1us-west-2eu-west-1eu-west-2eu-west-3eu-central-1eu-north-1eu-south-2ca-central-1ap-east-1ap-south-1ap-southeast-1ap-southeast-2ap-northeast-1ap-northeast-2ap-southeast-3ap-southeast-5sa-east-1protocolPolicy -> (string)
The protocol that your Amazon Lightsail distribution uses when establishing a connection with your origin to pull content.
Possible values:
http-onlyhttps-onlyresponseTimeout -> (integer)
The amount of time, in seconds, that the distribution waits for a response after forwarding a request to the origin. The minimum timeout is 1 second, the maximum is 60 seconds, and the default (if you don’t specify otherwise) is 30 seconds.ipAddressType -> (string)
The IP address type that the distribution uses when connecting to the origin.
The possible values are
ipv4for IPv4 only,ipv6for IPv6 only, anddualstackfor IPv4 and IPv6.Possible values:
ipv4ipv6dualstack
Shorthand Syntax:
name=string,regionName=string,protocolPolicy=string,responseTimeout=integer,ipAddressType=string
JSON Syntax:
{
"name": "string",
"regionName": "us-east-1"|"us-east-2"|"us-west-1"|"us-west-2"|"eu-west-1"|"eu-west-2"|"eu-west-3"|"eu-central-1"|"eu-north-1"|"eu-south-2"|"ca-central-1"|"ap-east-1"|"ap-south-1"|"ap-southeast-1"|"ap-southeast-2"|"ap-northeast-1"|"ap-northeast-2"|"ap-southeast-3"|"ap-southeast-5"|"sa-east-1",
"protocolPolicy": "http-only"|"https-only",
"responseTimeout": integer,
"ipAddressType": "ipv4"|"ipv6"|"dualstack"
}
--default-cache-behavior (structure)
An object that describes the default cache behavior for the distribution.
behavior -> (string)
The cache behavior of the distribution.
The following cache behaviors can be specified:
- **
cache** - This option is best for static sites. When specified, your distribution caches and serves your entire website as static content. This behavior is ideal for websites with static content that doesn’t change depending on who views it, or for websites that don’t use cookies, headers, or query strings to personalize content.- **
dont-cache** - This option is best for sites that serve a mix of static and dynamic content. When specified, your distribution caches and serve only the content that is specified in the distribution’sCacheBehaviorPerPathparameter. This behavior is ideal for websites or web applications that use cookies, headers, and query strings to personalize content for individual users.Possible values:
dont-cachecache
Shorthand Syntax:
behavior=string
JSON Syntax:
{
"behavior": "dont-cache"|"cache"
}
--cache-behavior-settings (structure)
An object that describes the cache behavior settings for the distribution.
Note
ThecacheBehaviorSettingsspecified in yourUpdateDistributionRequestwill replace your distribution’s existing settings.defaultTTL -> (long)
The default amount of time that objects stay in the distribution’s cache before the distribution forwards another request to the origin to determine whether the content has been updated.
Note
The value specified applies only when the origin does not add HTTP headers such asCache-Control max-age,Cache-Control s-maxage, andExpiresto objects.minimumTTL -> (long)
The minimum amount of time that objects stay in the distribution’s cache before the distribution forwards another request to the origin to determine whether the object has been updated.
A value of
0must be specified forminimumTTLif the distribution is configured to forward all headers to the origin.maximumTTL -> (long)
The maximum amount of time that objects stay in the distribution’s cache before the distribution forwards another request to the origin to determine whether the object has been updated.
The value specified applies only when the origin adds HTTP headers such as
Cache-Control max-age,Cache-Control s-maxage, andExpiresto objects.allowedHTTPMethods -> (string)
The HTTP methods that are processed and forwarded to the distribution’s origin.
You can specify the following options:
GET,HEAD- The distribution forwards theGETandHEADmethods.GET,HEAD,OPTIONS- The distribution forwards theGET,HEAD, andOPTIONSmethods.GET,HEAD,OPTIONS,PUT,PATCH,POST,DELETE- The distribution forwards theGET,HEAD,OPTIONS,PUT,PATCH,POST, andDELETEmethods.If you specify the third option, you might need to restrict access to your distribution’s origin so users can’t perform operations that you don’t want them to. For example, you might not want users to have permission to delete objects from your origin.
Constraints:
- pattern:
.*\S.*cachedHTTPMethods -> (string)
The HTTP method responses that are cached by your distribution.
You can specify the following options:
GET,HEAD- The distribution caches responses to theGETandHEADmethods.GET,HEAD,OPTIONS- The distribution caches responses to theGET,HEAD, andOPTIONSmethods.Constraints:
- pattern:
.*\S.*forwardedCookies -> (structure)
An object that describes the cookies that are forwarded to the origin. Your content is cached based on the cookies that are forwarded.
option -> (string)
Specifies which cookies to forward to the distribution’s origin for a cache behavior:
all,none, orallow-listto forward only the cookies specified in thecookiesAllowListparameter.Possible values:
noneallow-listallcookiesAllowList -> (list)
The specific cookies to forward to your distribution’s origin.
(string)
forwardedHeaders -> (structure)
An object that describes the headers that are forwarded to the origin. Your content is cached based on the headers that are forwarded.
option -> (string)
The headers that you want your distribution to forward to your origin and base caching on.
You can configure your distribution to do one of the following:
- **
all** - Forward all headers to your origin.- **
none** - Forward only the default headers.- **
allow-list** - Forward only the headers you specify using theheadersAllowListparameter.Possible values:
noneallow-listallheadersAllowList -> (list)
The specific headers to forward to your distribution’s origin.
(string)
Possible values:
AcceptAccept-CharsetAccept-DatetimeAccept-EncodingAccept-LanguageAuthorizationCloudFront-Forwarded-ProtoCloudFront-Is-Desktop-ViewerCloudFront-Is-Mobile-ViewerCloudFront-Is-SmartTV-ViewerCloudFront-Is-Tablet-ViewerCloudFront-Viewer-CountryHostOriginRefererforwardedQueryStrings -> (structure)
An object that describes the query strings that are forwarded to the origin. Your content is cached based on the query strings that are forwarded.
option -> (boolean)
Indicates whether the distribution forwards and caches based on query strings.queryStringsAllowList -> (list)
The specific query strings that the distribution forwards to the origin.
Your distribution will cache content based on the specified query strings.
If the
optionparameter is true, then your distribution forwards all query strings, regardless of what you specify using thequeryStringsAllowListparameter.(string)
Shorthand Syntax:
defaultTTL=long,minimumTTL=long,maximumTTL=long,allowedHTTPMethods=string,cachedHTTPMethods=string,forwardedCookies={option=string,cookiesAllowList=[string,string]},forwardedHeaders={option=string,headersAllowList=[string,string]},forwardedQueryStrings={option=boolean,queryStringsAllowList=[string,string]}
JSON Syntax:
{
"defaultTTL": long,
"minimumTTL": long,
"maximumTTL": long,
"allowedHTTPMethods": "string",
"cachedHTTPMethods": "string",
"forwardedCookies": {
"option": "none"|"allow-list"|"all",
"cookiesAllowList": ["string", ...]
},
"forwardedHeaders": {
"option": "none"|"allow-list"|"all",
"headersAllowList": ["Accept"|"Accept-Charset"|"Accept-Datetime"|"Accept-Encoding"|"Accept-Language"|"Authorization"|"CloudFront-Forwarded-Proto"|"CloudFront-Is-Desktop-Viewer"|"CloudFront-Is-Mobile-Viewer"|"CloudFront-Is-SmartTV-Viewer"|"CloudFront-Is-Tablet-Viewer"|"CloudFront-Viewer-Country"|"Host"|"Origin"|"Referer", ...]
},
"forwardedQueryStrings": {
"option": true|false,
"queryStringsAllowList": ["string", ...]
}
}
--cache-behaviors (list)
An array of objects that describe the per-path cache behavior for the distribution.
(structure)
Describes the per-path cache behavior of an Amazon Lightsail content delivery network (CDN) distribution.
A per-path cache behavior is used to override, or add an exception to, the default cache behavior of a distribution. For example, if the
cacheBehavioris set tocache, then a per-path cache behavior can be used to specify a directory, file, or file type that your distribution will cache. Alternately, if the distribution’scacheBehaviorisdont-cache, then a per-path cache behavior can be used to specify a directory, file, or file type that your distribution will not cache.path -> (string)
The path to a directory or file to cached, or not cache. Use an asterisk symbol to specify wildcard directories (
path/to/assets/*), and file types (*.html, *jpg, *js). Directories and file paths are case-sensitive.Examples:
- Specify the following to cache all files in the document root of an Apache web server running on a Lightsail instance.
var/www/html/- Specify the following file to cache only the index page in the document root of an Apache web server.
var/www/html/index.html- Specify the following to cache only the .html files in the document root of an Apache web server.
var/www/html/*.html- Specify the following to cache only the .jpg, .png, and .gif files in the images sub-directory of the document root of an Apache web server.
var/www/html/images/*.jpgvar/www/html/images/*.pngvar/www/html/images/*.gifSpecify the following to cache all files in the images sub-directory of the document root of an Apache web server.var/www/html/images/behavior -> (string)
Shorthand Syntax:
path=string,behavior=string ...
JSON Syntax:
[
{
"path": "string",
"behavior": "dont-cache"|"cache"
}
...
]
--is-enabled | --no-is-enabled (boolean)
Indicates whether to enable the distribution.
--viewer-minimum-tls-protocol-version (string)
Use this parameter to update the minimum TLS protocol version for the SSL/TLS certificate that’s attached to the distribution.
Possible values:
TLSv1.1_2016TLSv1.2_2018TLSv1.2_2019TLSv1.2_2021
--certificate-name (string)
The name of the SSL/TLS certificate that you want to attach to the distribution.
Only certificates with a status of
ISSUEDcan be attached to a distribution.Use the GetCertificates action to get a list of certificate names that you can specify.
Constraints:
- pattern:
\w[\w\-]*\w
--use-default-certificate | --no-use-default-certificate (boolean)
Indicates whether the default SSL/TLS certificate is attached to the distribution. The default value is
true. Whentrue, the distribution uses the default domain name such asd111111abcdef8.cloudfront.net.Set this value to
falseto attach a new certificate to the distribution.
--enable-private-origin-access | --no-enable-private-origin-access (boolean)
Specifies whether to enable private origin access for the distribution. With private origin access, the distribution can serve objects that aren’t publicly accessible from a Lightsail bucket.
Lightsail grants the distribution permission to read the bucket’s objects. Enabling private origin access doesn’t change the bucket’s access settings, and you can still retrieve publicly accessible objects directly from the bucket’s endpoint.
Note
When you include this parameter, you must also include the
originparameter with the resource name, even if the origin is not changing.You can enable private origin access only when the distribution’s origin is a Lightsail bucket. If the origin is another resource type, the request fails.
--default-root-object (string)
The object (for example,index.html) that the distribution returns when a viewer requests the root URL of the distribution (/) instead of a specific object. The object that you specify must be available from the origin.
--custom-error-responses (list)
An array of objects that describe the custom error responses for the distribution. With a custom error response, you can specify the page to return when the origin responds with a given HTTP error code. You can also specify the HTTP status code to send to the viewer.
(structure)
Describes a custom error response for a Lightsail distribution. A custom error response specifies the page that the distribution returns to the viewer. It also specifies the HTTP status code that the distribution sends when the origin responds with a given HTTP error code.
errorCode -> (integer)
The HTTP error code from the origin that triggers the custom error response (for example,403or404).responseCode -> (string)
The HTTP status code that the distribution returns to the viewer for the custom error response.responsePagePath -> (string)
The path to the custom error page that the distribution returns to the viewer (for example,/404.html). The path must begin with a forward slash (/) and reference an object that is available from the origin.errorCachingMinTTL -> (long)
The minimum time, in seconds, that the distribution caches the custom error response before requesting the object again from the origin. If you don’t specify a value, the default is10seconds.
Shorthand Syntax:
errorCode=integer,responseCode=string,responsePagePath=string,errorCachingMinTTL=long ...
JSON Syntax:
[
{
"errorCode": integer,
"responseCode": "string",
"responsePagePath": "string",
"errorCachingMinTTL": long
}
...
]
--enable-waf | --no-enable-waf (boolean)
Specifies whether to enable Web Application Firewall (WAF) for the distribution. WAF inspects viewer requests and blocks requests that match the WAF rule groups that you enable.
When you enable WAF without specifying the
wafRulesparameter, the distribution has no WAF rule groups enabled and doesn’t block any requests.Note
WAF is available only for distributions that use the
medium_1_0orlarge_1_0bundle.Setting this parameter to
falsedisables WAF for the distribution and removes its WAF rule groups. You must enable the WAF rule groups again if you enable WAF again.
--waf-rules (list)
An array of objects that describe the WAF rule groups to enable for the distribution.
The array that you specify replaces the existing WAF rule groups of the distribution. To keep a WAF rule group enabled, include it in the array. To disable all WAF rule groups, specify an empty array.
You can specify this parameter only when WAF is enabled for the distribution.
The WAF rule groups that you can specify depend on the bundle of the distribution:
medium_1_0– Supports theAWSManagedRulesCommonRuleSet,AWSManagedRulesKnownBadInputsRuleSet, andAWSManagedRulesAnonymousIpListrule groups.large_1_0– Supports the rule groups formedium_1_0, plusAWSManagedRulesAdminProtectionRuleSet,AWSManagedRulesSQLiRuleSet,AWSManagedRulesLinuxRuleSet,AWSManagedRulesUnixRuleSet,AWSManagedRulesWindowsRuleSet,AWSManagedRulesPHPRuleSet,AWSManagedRulesWordPressRuleSet,AWSManagedRulesAmazonIpReputationList,AWSManagedRulesATPRuleSet,AWSManagedRulesACFPRuleSet, andAWSManagedRulesBotControlRuleSetrule groups.(structure)
Describes a Web Application Firewall (WAF) rule group for a Lightsail distribution. A WAF rule group is a set of rules managed by AWS. The rules inspect viewer requests and block requests that match them.
name -> (string) [required]
The name of the WAF rule group (for example,
AWSManagedRulesCommonRuleSet).For the WAF rule groups that you can specify for each bundle, see the
wafRulesparameter of theCreateDistributionaction.atpConfig -> (structure)
An object that describes the configuration of the account takeover prevention rule group.
Constraints:
- Define this parameter only when the
nameisAWSManagedRulesATPRuleSet.- This parameter is required when the
nameisAWSManagedRulesATPRuleSet.loginPath -> (string)
The path of the login endpoint of your application (for example,
/login). Login paths that start with the path that you specify are a match.Constraints:
- Must start with a forward slash (
/).- Must contain from 1 to 256 characters.
payloadType -> (string)
The content type of the request body of login requests.
The following content types are possible:
JSON– The request body is in JSON format.FORM_ENCODED– The request body is form encoded.Possible values:
JSONFORM_ENCODEDusernameField -> (string)
The name of the field in the request body that contains the username (for example,
/usernameforJSONorusernameforFORM_ENCODED).Constraints:
- For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/).- Must contain from 1 to 512 characters.
passwordField -> (string)
The name of the field in the request body that contains the password (for example,
/passwordforJSONorpasswordforFORM_ENCODED).Constraints:
- For a
JSONpayload, must be a JSON pointer that starts with a forward slash (/).- Must contain from 1 to 512 characters.
responseInspection -> (structure)
An object that describes the HTTP status codes that your application returns for successful and failed login attempts.
successCodes -> (list)
The HTTP status codes that indicate a successful attempt (for example,
200).Constraints:
- Must contain from 1 to 10 status codes.
- Each status code must be from
0to999.- Can’t contain a status code that is also in
failureCodes.(integer)
failureCodes -> (list)
The HTTP status codes that indicate a failed attempt (for example,
401).Constraints:
- Must contain from 1 to 10 status codes.
- Each status code must be from
0to999.- Can’t contain a status code that is also in
successCodes.(integer)
acfpConfig -> (structure)
An object that describes the configuration of the account creation fraud prevention rule group.
Constraints:
- Define this parameter only when the
nameisAWSManagedRulesACFPRuleSet.- This parameter is required when the
nameisAWSManagedRulesACFPRuleSet.payloadType -> (string)
The content type of the request body of account creation requests.
The following content types are possible:
JSON– The request body is in JSON format.FORM_ENCODED– The request body is form encoded.Possible values:
JSONFORM_ENCODEDcreationPath -> (string)
The path of the endpoint that accepts completed account creation forms (for example,
/signup/submit). This endpoint must acceptPOSTrequests.Constraints:
- Must start with a forward slash (
/).- Must contain from 1 to 256 characters.
registrationPagePath -> (string)
The path of the page that displays the account creation form (for example,
/signup).Constraints:
- Must start with a forward slash (
/).- Must contain from 1 to 256 characters.
responseInspection -> (structure)
An object that describes the HTTP status codes that your application returns for successful and failed account creation attempts.
successCodes -> (list)
The HTTP status codes that indicate a successful attempt (for example,
200).Constraints:
- Must contain from 1 to 10 status codes.
- Each status code must be from
0to999.- Can’t contain a status code that is also in
failureCodes.(integer)
failureCodes -> (list)
The HTTP status codes that indicate a failed attempt (for example,
401).Constraints:
- Must contain from 1 to 10 status codes.
- Each status code must be from
0to999.- Can’t contain a status code that is also in
successCodes.(integer)
botControlConfig -> (structure)
An object that describes the configuration of the bot control rule group.
Constraints:
- Define this parameter only when the
nameisAWSManagedRulesBotControlRuleSet.- This parameter is required when the
nameisAWSManagedRulesBotControlRuleSet.inspectionLevel -> (string)
The inspection level of the bot control rule group.
The following inspection levels are possible:
COMMON– Detects a variety of bots that identify themselves, such as web scraping frameworks, search engines, and automated browsers.TARGETED– Includes theCOMMONprotections, and adds detection for sophisticated bots that don’t identify themselves. This level uses rate limiting, CAPTCHA, and background browser challenges.Possible values:
COMMONTARGETED
JSON Syntax:
[
{
"name": "string",
"atpConfig": {
"loginPath": "string",
"payloadType": "JSON"|"FORM_ENCODED",
"usernameField": "string",
"passwordField": "string",
"responseInspection": {
"successCodes": [integer, ...],
"failureCodes": [integer, ...]
}
},
"acfpConfig": {
"payloadType": "JSON"|"FORM_ENCODED",
"creationPath": "string",
"registrationPagePath": "string",
"responseInspection": {
"successCodes": [integer, ...],
"failureCodes": [integer, ...]
}
},
"botControlConfig": {
"inspectionLevel": "COMMON"|"TARGETED"
}
}
...
]
--cli-input-json | --cli-input-yaml (string)
Reads arguments from the JSON string provided. The JSON string follows the format provided by --generate-cli-skeleton. If other arguments are provided on the command line, those values will override the JSON-provided values. It is not possible to pass arbitrary binary values using a JSON-provided value as the string will be taken literally. This may not be specified along with --cli-input-yaml.
--generate-cli-skeleton (string)
Prints a JSON skeleton to standard output without sending an API request. If provided with no value or the value input, prints a sample input JSON that can be used as an argument for --cli-input-json. Similarly, if provided yaml-input it will print a sample input YAML that can be used with --cli-input-yaml. If provided with the value output, it validates the command inputs and returns a sample output JSON for that command. The generated JSON skeleton is not stable between versions of the AWS CLI and there are no backwards compatibility guarantees in the JSON skeleton generated.
--debug (boolean)
Turn on debug logging.
--endpoint-url (string)
Override command’s default URL with the given URL.
--no-verify-ssl (boolean)
By default, the AWS CLI uses SSL when communicating with AWS services. For each SSL connection, the AWS CLI will verify SSL certificates. This option overrides the default behavior of verifying SSL certificates.
--no-paginate (boolean)
Disable automatic pagination. If automatic pagination is disabled, the AWS CLI will only make one call, for the first page of results.
--output (string)
The formatting style for command output.
--query (string)
A JMESPath query to use in filtering the response data.
--profile (string)
Use a specific profile from your credential file.
--region (string)
The region to use. Overrides config/env settings.
--version (string)
Display the version of this tool.
--color (string)
Turn on/off color output.
--no-sign-request (boolean)
Do not sign requests. Credentials will not be loaded if this argument is provided.
--ca-bundle (string)
The CA certificate bundle to use when verifying SSL certificates. Overrides config/env settings.
--cli-read-timeout (int)
The maximum socket read time in seconds. If the value is set to 0, the socket read will be blocking and not timeout. The default value is 60 seconds.
--cli-connect-timeout (int)
The maximum socket connect time in seconds. If the value is set to 0, the socket connect will be blocking and not timeout. The default value is 60 seconds.
--cli-binary-format (string)
The formatting style to be used for binary blobs. The default format is base64. The base64 format expects binary blobs to be provided as a base64 encoded string. The raw-in-base64-out format preserves compatibility with AWS CLI V1 behavior and binary values must be passed literally. When providing contents from a file that map to a binary blob fileb:// will always be treated as binary and use the file contents directly regardless of the cli-binary-format setting. When using file:// the file contents will need to properly formatted for the configured cli-binary-format.
--no-cli-pager (boolean)
Disable cli pager for output.
--cli-auto-prompt (boolean)
Automatically prompt for CLI input parameters.
--no-cli-auto-prompt (boolean)
Disable automatically prompt for CLI input parameters.
--cli-error-format (string)
The formatting style for error output. By default, errors are displayed in enhanced format.
--help (boolean)
Display help for the command/subcommand.
operation -> (structure)
An array of objects that describe the result of the action, such as the status of the request, the timestamp of the request, and the resources affected by the request.
id -> (string)
The ID of the operation.
Constraints:
- pattern:
.*\S.*resourceName -> (string)
The resource name.
Constraints:
- pattern:
\w[\w\-]*\wresourceType -> (string)
The resource type.
Possible values:
ContainerServiceInstanceStaticIpKeyPairInstanceSnapshotDomainPeeredVpcLoadBalancerLoadBalancerTlsCertificateDiskDiskSnapshotRelationalDatabaseRelationalDatabaseSnapshotExportSnapshotRecordCloudFormationStackRecordAlarmContactMethodDistributionCertificateBucketcreatedAt -> (timestamp)
The timestamp when the operation was initialized (1479816991.349).location -> (structure)
The Amazon Web Services Region and Availability Zone.
availabilityZone -> (string)
The Availability Zone. Follows the formatus-east-2a(case-sensitive).regionName -> (string)
The Amazon Web Services Region name.
Possible values:
us-east-1us-east-2us-west-1us-west-2eu-west-1eu-west-2eu-west-3eu-central-1eu-north-1eu-south-2ca-central-1ap-east-1ap-south-1ap-southeast-1ap-southeast-2ap-northeast-1ap-northeast-2ap-southeast-3ap-southeast-5sa-east-1isTerminal -> (boolean)
A Boolean value indicating whether the operation is terminal.operationDetails -> (string)
Details about the operation (Debian-1GB-Ohio-1).operationType -> (string)
The type of operation.
Possible values:
DeleteKnownHostKeysDeleteInstanceCreateInstanceStopInstanceStartInstanceRebootInstanceOpenInstancePublicPortsPutInstancePublicPortsCloseInstancePublicPortsAllocateStaticIpReleaseStaticIpAttachStaticIpDetachStaticIpUpdateDomainEntryDeleteDomainEntryCreateDomainDeleteDomainCreateInstanceSnapshotDeleteInstanceSnapshotCreateInstancesFromSnapshotCreateLoadBalancerDeleteLoadBalancerAttachInstancesToLoadBalancerDetachInstancesFromLoadBalancerUpdateLoadBalancerAttributeCreateLoadBalancerTlsCertificateDeleteLoadBalancerTlsCertificateAttachLoadBalancerTlsCertificateCreateDiskDeleteDiskAttachDiskDetachDiskCreateDiskSnapshotDeleteDiskSnapshotCreateDiskFromSnapshotCreateRelationalDatabaseUpdateRelationalDatabaseDeleteRelationalDatabaseCreateRelationalDatabaseFromSnapshotCreateRelationalDatabaseSnapshotDeleteRelationalDatabaseSnapshotUpdateRelationalDatabaseParametersStartRelationalDatabaseRebootRelationalDatabaseStopRelationalDatabaseEnableAddOnDisableAddOnPutAlarmGetAlarmsDeleteAlarmTestAlarmCreateContactMethodGetContactMethodsSendContactMethodVerificationDeleteContactMethodCreateDistributionUpdateDistributionDeleteDistributionResetDistributionCacheAttachCertificateToDistributionDetachCertificateFromDistributionUpdateDistributionBundleSetIpAddressTypeCreateCertificateDeleteCertificateCreateContainerServiceUpdateContainerServiceDeleteContainerServiceCreateContainerServiceDeploymentCreateContainerServiceRegistryLoginRegisterContainerImageDeleteContainerImageCreateBucketDeleteBucketCreateBucketAccessKeyDeleteBucketAccessKeyUpdateBucketBundleUpdateBucketSetResourceAccessForBucketUpdateInstanceMetadataOptionsStartGUISessionStopGUISessionSetupInstanceHttpsGetProfilestatus -> (string)
The status of the operation.
Possible values:
NotStartedStartedFailedCompletedSucceededstatusChangedAt -> (timestamp)
The timestamp when the status was changed (1479816991.349).errorCode -> (string)
The error code.errorDetails -> (string)
The error details.